package com.lukouguoji.gnc.page.assemble.add

import android.util.AndroidException
import android.view.View
import com.lukouguoji.gnc.databinding.ItemGncAssembleAddBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcWaybillBean
import com.lukouguoji.module_base.bean.WaybillBean

class GncAssembleAddViewHolder(view: View) :
    BaseViewHolder<WaybillBean, ItemGncAssembleAddBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        binding.ivIcon.setOnClickListener {
            bean.checked.set(!bean.checked.get())
        }

        notifyItemClick(position, binding.tvBatch)
        notifyItemClick(position, binding.tvDelete)
    }

}